Критическая уязвимость в криптографической библиотеке MbedTLS (PolarSSL)

4 месяца ago admin 0

В развиваемой компанией ARM криптографической библиотеке MbedTLS (бывший PolarSSL) выявлена критическая уязвимость (CVE-2017-2784), которая может привести к удалённому выполнению кода при обработке специально оформленного сертификата x509. Уязвимость устранена в выпуске MbedTLS 2.4.2.

Проблема вызвана ошибкой в коде обработки криптографических ключей на базе эллиптических кривых secp224k1. Атакующий может сформировать публичный ключ и сертификат x509, при проверке ключа которым будет очищен указатель стека, что может быть использовано для организации атаки. Уязвимость может быть эксплуатирована со стороны клиента и сервера. На современных стационарных системах вероятность эксплуатации невелика, но на встраиваемых платформах, на которые и ориентирован MbedTLS, из-за отсутствия средств для защиты кучи, атака вполне может быть доведена до выполнения кода злоумышленника (имеется прототип эксплоита).


Source: pirates.in.ua